Skip to main content
POST
/
api
/
Email
/
Send
Send an Email to a list of Contacts
curl --request POST \
  --url https://api.virtuoussoftware.com/api/Email/Send \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "emailId": "<integer>",
  "contactIds": [
    "<integer>",
    "<integer>"
  ],
  "personalizations": [
    {
      "contactId": "<integer>",
      "mergeFields": "<object>"
    },
    {
      "contactId": "<integer>",
      "mergeFields": "<object>"
    }
  ],
  "sections": "<object>"
}
'
"<object>"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
emailId
string
contactIds
string[]
personalizations
object[]
sections
string

Response

200 - application/json

OK

The response is of type string.

Last modified on June 5, 2026